package com.sqx.modules.printInfo.entity;

import java.util.ArrayList;
import java.util.List;

/**
 * @Author: binguo
 * @Date: 2023/7/6 星期四 16:34
 * @Description: com.template.model.enumModel
 * @Version: 1.0
 * 订单类型
 */
//正常：1
//放大：2
public enum eWordSize {
    Normal(1),//正常
    Amplify(2);//放大

    private int value;

    eWordSize(int value){
        this.value = value;
    }

    public int getValue() {
        return value;
    }
    public static eWordSize valueOf(int value) {
        switch (value) {
            case 1:
                return eWordSize.Normal;
            case 2:
                return eWordSize.Amplify;
            default:
                return null;
        }
    }

    public static Integer integerOf(String value) {
        switch (value) {
            case "正常":
                return 1;
            case "放大":
                return 2;
            default:
                return null;
        }
    }

    public static String stringOf(Integer value) {
        switch (value) {
            case 1:
                return "正常";
            case 2:
                return "放大";
            default:
                return null;
        }
    }

    /**
     * 获取考勤状态集合
     * @return
     */
    public static List<Integer> attendanceStatus(){
        List<Integer> result = new ArrayList<>();
        result.add(0);
        result.add(1);
        result.add(3);
        result.add(6);
        result.add(7);
        return result;
    }
}
